ChangeSet 1.1148.6.4, 2003/10/06 14:45:21-07:00, henning@meier-geinitz.de

[PATCH] USB: scanner driver: use static declarations (3/3)

Use static declarations for usb_scanner_init/usb_scanner_exit
(Daniele Bellucci).


 drivers/usb/scanner.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/scanner.c b/drivers/usb/scanner.c
--- a/drivers/usb/scanner.c	Fri Oct 24 17:01:16 2003
+++ b/drivers/usb/scanner.c	Fri Oct 24 17:01:16 2003
@@ -382,6 +382,8 @@
  *    - Added vendor/product ids for Canon, HP, Microtek, Mustek, Siemens, UMAX, and
  *      Visioneer scanners.
  *    - Added test for USB_CLASS_CDC_DATA which is used by some fingerprint scanners
+ *    - Use static declarations for usb_scanner_init/usb_scanner_exit 
+ *      (Daniele Bellucci).
  *
  *
  * TODO
@@ -1166,13 +1168,13 @@
 				 we match a user defined vendor/product ID. */
 };
 
-void __exit
+static void __exit
 usb_scanner_exit(void)
 {
 	usb_deregister(&scanner_driver);
 }
 
-int __init
+static int __init
 usb_scanner_init (void)
 {
         if (usb_register(&scanner_driver) < 0)
